Gå til hovedinnhold

Retrieve Information related to Housing Companies

GET 

/companies/housing-companies

Housing Company Information Endpoint

Overview

This API returns information about a housing company (boligselskap) or companies based on a batch ID or property ID NMA or Organization ID.

It supports both single housing company retrieval and batch downloads.

Housing companies are typically formed to manage and maintain shared properties, such as apartment buildings, townhouses, and commercial buildings. They are responsible for the upkeep of common areas, shared facilities, and other communal spaces. In Norway, these are registered in the Norwegian Central Coordinating Register for Legal Entities (Enhetsregisteret) and exist in three main forms:

  1. Borettslag (Housing Association / Cooperative): A form of cooperative housing where residents own shares in the cooperative and have the right to live in a specific unit.
  2. Eierseksjonssameie / Sameie (Condominium Association): A form of ownership where residents own their individual units and share ownership of common areas.
  3. Aksjeselskap (Limited Company): A form of ownership where residents own shares in the company that owns the property.

The API returns data about which properties are owned or managed by the housing company, including the property's unique identifier, organization type, organization ID, and batch ID. It mainly serves as a list of all housing companies and as a mapper between the housing company and the properties it manages.

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/companies/housing-companies?property-id-nma=0301-210-56-0-0&org-id=913418719' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
nameThe name of the companyNavnet paa selskapetEnhetsregisteret
propertyIdUnique identifier for the propertyUnik identifikator for eiendommen
Feltet heter MatrikkelenhetId i Matrikkelen
Kartverket
propertyIdNmaUnique identifier for the property, generated by PropCloud based on:
city number, ground number, usage number, lease number and section number
Unik identifikator for eiendommen generert av PropCloud basert paa:
kommunenummer, gaardsnummer, bruksnummer, festenummer og seksjonsnummer
PropCloud
organizationTypeThe type or classification of the organization (e.g., AS, ANS)Organisasjonstype eller klassifisering av organisasjonen (f.eks. AS, ANS)Enhetsregisteret
orgIdUnique identifier for the organizationUnik identifikator for organisasjonenEnhetsregisteret
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud

Request

Responses

Successful Response